<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<div class="drk-supply-search drk-supply-search-filter">
    <f:if condition="{preselection}">
        <f:then>
            <f:form id="tx-supplyfinder-form-offer" pluginName="SupplyFinderResult" controller="SupplyFinderResult" action="showOfferResult" pageUid="{settings.view_resultpid}" name="tx-supplyfinder-form-offer" class="o-form drk-supply-search-form" method="get">
                <p><b>{f:translate(id: 'form.compact.offer.headline', arguments: '{0: preselection.orgOfferDescription}')}</b></p>
                <div class="form-group">
                    <f:form.hidden name="offerId" value="{preselection.orgOfferId}"/>
                    <f:form.textfield name="zip" class="o-form__field o-form__field o-form__field--text searchbox"
                                      id="tx-supplyfinder-searchbox" value="{arguments.zip}"
                                      additionalAttributes="{required: ''}"/>
                    <label class="o-form__label" for="tx-supplyfinder-searchbox">
                        {f:translate(id: 'form.offer.angebote_plz.label')}
                    </label>
                </div>
                <f:if condition="{searchRangeSelection}">
                    <div class="form-group">
                        <f:form.select class="o-form__field o-form__field--select" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                        <label class="o-form__label" for="iSearchRange">
                            {f:translate(id: 'offerResult.range.label')}
                        </label>
                    </div>
                </f:if>
                <div class="form-group">
                    <f:form.submit name="submit" id="tx-supplyfinder-small-button-submit" class="button button--primary o-btn o-btn--full" value="{f:translate(id: 'form.compact.offer.submit')}"/>
                    <f:if condition="{settings.location_search}">
                        <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                            <drk:svgEmbed src="EXT:drk_supply_finder/Resources/Public/Images/icon_gps-indicator.svg" />
                        </a>
                    </f:if>
                </div>
             </f:form>
        </f:then>
        <f:else>
            <f:form id="tx-supplyfinder-form-offer" pluginName="SupplyFinderResult" controller="SupplyFinderResult" action="showOfferResult" pageUid="{settings.view_resultpid}" name="tx-supplyfinder-form-offer" class="o-form drk-supply-search-form" method="get">
                <f:if condition="{showLabels}!=1">
                    <header class="header">
                        <h4>{f:translate(id: 'form.offer.headline')}</h4>
                    </header>
                </f:if>
                <fieldset class="o-form__section">
                    <div class="form-group">
                        <f:form.select name="offerId" size="1" id="tx-supplyfinder-selectbox"
                                       class="o-form__field o-form__field o-form__field--select"
                                       options="{offerList}" optionValueField="orgOfferId"
                                       optionLabelField="orgOfferDescription"
                                       prependOptionLabel="{f:translate(id: 'form.offer.angebote.I.0')}"
                                       prependOptionValue="0" value="{arguments.offerId}"/>
                        <label class="o-form__label">
                            {f:translate(id: 'form.offer.angebote.label')}
                        </label>
                    </div>
                    <div class="form-group">
                        <f:form.textfield name="zip" class="o-form__field o-form__field o-form__field--text searchbox"
                                          id="tx-supplyfinder-searchbox"
                                          value="{arguments.zip}"/>
                        <label for="tx-supplyfinder-searchbox" class="o-form__label">
                            {f:translate(id: 'form.offer.angebote_plz.label')}
                        </label>
                    </div>
                    <f:if condition="{searchRangeSelection}">
                        <div class="form-group">
                            <f:form.select class="o-form__field o-form__field--select" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                            <label class="o-form__label" for="iSearchRange">
                                {f:translate(id: 'offerResult.range.label')}
                            </label>
                        </div>
                    </f:if>
                    <div class="form-group">
                        <f:form.submit name="submit" id="tx-supplyfinder-button-submit"  class="button button--primary o-btn o-btn--full" value="{f:translate(id: 'form.offer.submit')}"/>
                        <f:if condition="{settings.location_search}">
                            <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                                <drk:svgEmbed src="EXT:drk_supply_finder/Resources/Public/Images/icon_gps-indicator.svg" />
                            </a>
                        </f:if>
                    </div>
                </fieldset>
            </f:form>
        </f:else>
    </f:if>
</div>
